cURL
Logs
Update target of the console logs
Configure at runtime the level of the console logs written to stderr (e.g. debug, info, warn, error).
POST
cURL
Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new Meilisearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});Body
application/json
Request body for updating stderr log configuration
Log targets to filter. Format: code_part=log_level (e.g., milli=trace,actix_web=off)
Example:
"milli=trace,index_scheduler,actix_web=off"
Response
The console logs have been updated.